#!/usr/bin/python3
# -*- coding: utf-8 -*-
import gi, os
gi.require_version("Gtk", "3.0")
gi.require_version("Vte", "2.91")
from gi.repository import Gtk, Vte, GLib

terminal = Vte.Terminal()
window = Gtk.Window()
window.add(terminal)
window.show_all()
window.fullscreen()
terminal.connect("child_exited", Gtk.main_quit)
terminal.set_font_scale(2.0)
terminal.spawn_async(Vte.PtyFlags.DEFAULT,
            "/", ["/bin/sh", "-c", "pkexec /lib/installer"], None,
            GLib.SpawnFlags.DO_NOT_REAP_CHILD, None, None,
            -1, None, None)
Gtk.main()
